# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.geo.impl
Class GeoRssWhere

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.geo.impl.GeoRssWhere

All Implemented Interfaces:
  Extension, Box, Point

    public class GeoRssWhere

extends ExtensionPoint
implements Point, Box

The georss:where element. This can contain other elements, so it is extensible, but it also acts as a Point object. It can also act as a Box as well, and can be extended to support other GML object types.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`GeoRssWhere()` Constructs an empty georss:where element.
`GeoRssWhere(Box box)` Constructs a georss:where element containing the given box.
`GeoRssWhere(java.lang.Double lat, java.lang.Double lon)` Constructs a georss:where element containing the given lat/lon point.
`GeoRssWhere(java.lang.Double lowerLat, java.lang.Double lowerLon, java.lang.Double upperLat, java.lang.Double upperLon)` Constructs a georss:where element containing the four coordinates that define a box.
`GeoRssWhere(Point point)` Constructs a georss:where element containing the given point.
`GeoRssWhere(Point lower, Point upper)` Constructs a georss:where element containing the given gml:lowerCorner and gml:upperCorner elements.

Method Summary
`void` `clearBox()` Removes the GmlEnvelope element inside this GeoRssWhere.
`void` `clearPoint()` Removes the GmlPoint element inside this GeoRssWhere.
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`void` `generate(com.google.gdata.util.common.xml.XmlWriter w, ExtensionProfile p)` Generates an XML representation for the extension.
`static ExtensionDescription` `getDefaultDescription()` Returns the suggested extension description and is repeatable.
`static ExtensionDescription` `getDefaultDescription(boolean repeatable)` Returns the default extension description for this element.
`java.lang.Double` `getLatitude()`
`java.lang.Double` `getLongitude()`
`GmlLowerCorner` `getLowerLeft()`
`GmlUpperCorner` `getUpperRight()`
`boolean` `hasBox()`
`boolean` `hasPoint()`
`void` `setGeoLocation(java.lang.Double lat, java.lang.Double lon)` Sets the latitude and longitude coordinates of this Point.
`void` `setGeoLocation(Point lowerLeft, Point upperRight)` Sets the coordinates of this box.

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getHandler, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild, visitChildren`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.Extension
`getHandler`

Constructor Detail

### GeoRssWhere

    public GeoRssWhere()

  Constructs an empty georss:where element.

### GeoRssWhere

    public GeoRssWhere(java.lang.Double lat,
                       java.lang.Double lon)

  Constructs a georss:where element containing the given lat/lon point. If the given lat and lon are null, will construct an empty gml:Point element.

### GeoRssWhere

    public GeoRssWhere(Point point)

  Constructs a georss:where element containing the given point. If the point is already a gml:Point object, it will be used as the extension directly, otherwise a copy will be created. If the point is null no extensions will be added.

### GeoRssWhere

    public GeoRssWhere(java.lang.Double lowerLat,
                       java.lang.Double lowerLon,
                       java.lang.Double upperLat,
                       java.lang.Double upperLon)

  Constructs a georss:where element containing the four coordinates that define a box. If all of the points are null then an empty gml:envelope will be created.

### GeoRssWhere

    public GeoRssWhere(Point lower,
                       Point upper)

  Constructs a georss:where element containing the given gml:lowerCorner and gml:upperCorner elements. If both lower and upper are null then an empty gml:envelope will be created.

### GeoRssWhere

    public GeoRssWhere(Box box)

  Constructs a georss:where element containing the given box. If the box is null no extension will be set.

Method Detail

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription(boolean repeatable)

  Returns the default extension description for this element.

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()

  Returns the suggested extension description and is repeatable.

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.

### getLatitude

    public java.lang.Double getLatitude()

  Specified by:
    `getLatitude` in interface `Point`
  Returns:
    the value of latitude coordinate of this Point.

### getLongitude

    public java.lang.Double getLongitude()

  Specified by:
    `getLongitude` in interface `Point`
  Returns:
    the value of the longitude coordinate of this Point.

### setGeoLocation

    public void setGeoLocation(java.lang.Double lat,
                               java.lang.Double lon)

  Description copied from interface: `Point`
  Sets the latitude and longitude coordinates of this Point. Either both lat and lon must be non-null, or both must be null. Implementations will throw an IllegalArgumentException if only one is null and one is not. They will also throw an IllegalArgumentException if either of the lat values is outside the valid range.

  Specified by:
    `setGeoLocation` in interface `Point`
  Parameters:
    `lat` - The latitude in degrees, from -90 to 90.
    `lon` - The longitude in degrees, from -180 to 180.

### getLowerLeft

    public GmlLowerCorner getLowerLeft()

  Specified by:
    `getLowerLeft` in interface `Box`
  Returns:
    the point that represents the lower-left coordinate of the box.

### getUpperRight

    public GmlUpperCorner getUpperRight()

  Specified by:
    `getUpperRight` in interface `Box`
  Returns:
    the point that represents the upper-right coordinate of the box.

### setGeoLocation

    public void setGeoLocation(Point lowerLeft,
                               Point upperRight)

  Description copied from interface: `Box`
  Sets the coordinates of this box. Both lowerLeft and upperRight must be non-null or both must be null. Implementations will throw an IllegalArgumentException if one is null and the other non-null.

  Specified by:
    `setGeoLocation` in interface `Box`
  Parameters:
    `lowerLeft` - the lower left coordinate. The latitude of this point must be below the latitude of the upper right coordinate.
    `upperRight` - the upper right coordinate. The latitude of this point must be above the latitude of the lower left coordinate.

### hasPoint

    public boolean hasPoint()

  Returns:
    true if this GeoRssWhere element contains a point element.

### hasBox

    public boolean hasBox()

  Returns:
    true if this GeoRssWhere element contains an envelope element.

### clearPoint

    public void clearPoint()

  Removes the GmlPoint element inside this GeoRssWhere.

### clearBox

    public void clearBox()

  Removes the GmlEnvelope element inside this GeoRssWhere.

### generate

    public void generate(com.google.gdata.util.common.xml.XmlWriter w,
                         ExtensionProfile p)
                  throws java.io.IOException

  Description copied from interface: `Extension`
  Generates an XML representation for the extension.

  Specified by:
    `generate` in interface `Extension`
  Overrides:
    `generate` in class `AbstractExtension`
  Parameters:
    `w` - XML writer
    `p` - extension profile
  Throws:
    `java.io.IOException`